### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Attributes
PagodaOption Class Reference
Financial instruments

Roofed Asian option on a number of assets. More...

`#include <ql/experimental/exoticoptions/pagodaoption.hpp>`

Inheritance diagram for PagodaOption:
[legend]

List of all members.

## Classes

class | engine
| Pagoda-option engine base class More...

## Public Member Functions

| PagodaOption (const std::vector< Date > &fixingDates, Real roof, Real fraction)
void | setupArguments (PricingEngine::arguments *) const

## Protected Attributes

std::vector< Date > | fixingDates_
Real | roof_
Real | fraction_

## Detailed Description

Roofed Asian option on a number of assets.

The payoff is a given fraction multiplied by the minimum between a given roof and the positive portfolio performance. If the performance of the portfolio is below then the payoff is null.

Warning:
  This implementation still does not manage seasoned options.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from MultiAssetOption.